
angular.module('taxiApp.controllers', ['ionic','ngCordova'])

//---------------------------controller for registration------------------------------------------------------

.controller('registerCtrl', ['$scope','$http','$window','$ionicLoading','$ionicPopup',function($scope,$http, $window,$ionicLoading,$ionicPopup) {
   
        
      $scope.master = {};
      $scope.update = function(user) {
      $scope.master = angular.copy(user);
 
       var obj= [{
                            'username_register':user.nick,
                            'email_register'   :user.email,
                            'mobile_register'  :user.mobile,
                            'password_register':user.pass,
                            'cpassword_register':user.cpass
                            }]; 

       var request = $http({
          method: "post",
          url: "http://nanotaxi.dmsinfosystem.com/index.php/home/register_validation_app",
          data: obj,
          headers : {'Content-Type':undefined,} 
          });
      
           $ionicLoading.show({
            template: '<ion-spinner icon="android"></ion-spinner>'
          });
       
          request.success(function(data, status, headers, config) {
            console.log(data);
             $ionicLoading.hide();
            if (data.status==1) {
                 $ionicPopup.alert({
                             title: 'Alert',
                             template: data.status_message
                           });
                  $window.location="#/home";

            }
            else if (data.status==0){
                      $ionicPopup.alert({
                                   title: 'Alert',
                                   template: data.error_message
                                 });
           }

            else {
                 $ionicLoading.hide();
                  $ionicPopup.alert({
                             title: 'Alert',
                             template: 'Please check your internet connection'
                           });
            }
   
           
            $scope.user={};
          });


          request.error(function(data, status, headers, config) {
              $ionicLoading.hide();
            console.log("error",data);
          });
      };

}])

.controller('loginCtrl', ['$scope','$http','$window','$ionicLoading','$ionicHistory','$ionicPopup','backcallFactory',function($scope,$http,$window,$ionicLoading,$ionicHistory,$ionicPopup,backcallFactory) {
backcallFactory.backcallfun();
var hello;

      $scope.master = {};
      $scope.update = function(user) {
        $scope.master = angular.copy(user);
       
        var obj= [{
                            'mobile_login'     :user.mob,
                            'password_login'   :user.pass

                            }]; 


       var request = $http({
          method: "post",
          url: "http://nanotaxi.dmsinfosystem.com/index.php/home/login_validation_app",
          data: obj,
          //headers : {'Content-Type':undefined,} 
    });
        $ionicLoading.show({
            template: '<ion-spinner icon="android"></ion-spinner>'
          });

          request.success(function(data, status, headers, config) {
            $ionicLoading.hide();
            $window.localStorage.setItem("hello",data.token);// get string
          
          ionic.Platform.ready(function() {
                    if($window.localStorage.getItem("hello")!=="undefined")
                    {
                     $window.location="#/app/booking";
                     $ionicHistory.nextViewOptions({
                              disableAnimate: true,
                              disableBack: true
                          });
                      window.plugins.toast.showShortCenter('Login successfully');
                    }
                    else
                    {
                      $window.localStorage.removeItem("hello");
                      $window.location="#/home";
                    }
        });
 
            if (data.status==1) {
                   $ionicLoading.hide();

            }
                    else if (data.status==0){
                      $ionicLoading.hide();

                      $ionicPopup.alert({
             title: 'Alert',
             template: 'Invalid Mobile number and Password'
           });
            }

            else {
                $ionicPopup.alert({
                           title: 'Alert',
                           template: 'Something went wrong , Try again after sometime'
                         });

            }
                $scope.user.mob='';
               $scope.user.pass='';
          });

          request.error(function(data, status, headers, config) {
            $ionicLoading.hide();
            console.log("error",data);
            $ionicPopup.alert({
     title: 'Alert',
     template: 'Please Check your internet connection'
   });
          });
     

      };
      $scope.logout=function(){
         $ionicPopup.confirm({
                    title: "Logout",
                    content: "Are you sure you want to logout and exit?"
                    })

                    .then(function(result) {
                        if(result) {
                            ionic.Platform.exitApp();
                          $window.localStorage.removeItem("hello");
                          $window.localStorage.removeItem("name");
                          $window.localStorage.removeItem("mobile");
                          $window.localStorage.removeItem("email");
                          $window.localStorage.removeItem("userAlt");

                          $ionicLoading.hide();
                          console.log($window.localStorage.getItem("hello"));
                          console.log($window.localStorage.getItem("name"));
                          console.log("Logged out successfully.");
                          $ionicLoading.hide();
                        }
                        else{
                          $window.location="#/app/booking";
                          console.log("you aint logout");}
                    });
         
      }
           
}])



.controller("passCtrl", ['$scope','$http','$window','$ionicLoading','$ionicPopup',function($scope,$http,$window,$ionicLoading,$ionicPopup) {
        
        $scope.rst=function(){
              console.log("clear");
              document.getElementById("myForm").reset();
        };
      
      $scope.update = function(user) {
      $scope.master = angular.copy(user);
       
      console.log(user);
      var obj= [{
                  'email_reset_password':user,
      }]; 

       var request = $http({
          method: "post",
          url: "http://nanotaxi.dmsinfosystem.com/index.php/home/reset_password_app",
          data: obj,
          //headers : {'Content-Type':undefined,} 
    });
       $ionicLoading.show({
            template: '<ion-spinner icon="android"></ion-spinner>'
          });

         request.success(function(data, status, headers, config) {
            console.log(data);
            $ionicLoading.hide();
             
             if (data.status==1) {
                 $ionicPopup.alert({
                             title: 'Alert',
                             template: data.status_message
                           });
                $window.location="#/home";

            }
            else if (data.status==0){
                  $ionicPopup.alert({
                        title: 'Alert',
                        template: data.status_message
            });
            }

            else {
                 $ionicLoading.hide();
                 $ionicPopup.alert({
                                title: 'Alert',
                                template: data.status_message
                  });
            }
            $scope.user={};
          });

          request.error(function(data, status, headers, config) {
            $ionicLoading.hide();
            console.log("error",data)
          });
     
  
      };

       $scope.reset = function(user) {
        $scope.user = {};
      };

}])


.factory('backcallFactory', ['$state','$ionicPlatform','$ionicHistory','$timeout',function($state,$ionicPlatform,$ionicHistory,$timeout){
 
var obj={}
    obj.backcallfun=function(){
  
var backbutton=0;
       $ionicPlatform.registerBackButtonAction(function () {
          if ($state.current.name == "app.booking") {
          if(backbutton==0){
            backbutton++;
              window.plugins.toast.showShortCenter('Press again to exit.');
            $timeout(function(){backbutton=0;},5000);
        }else{
            navigator.app.exitApp();
        }  
      }      
      else if ($state.current.name == "home") {
          if(backbutton==0){
            backbutton++;
              window.plugins.toast.showShortCenter('Press again to exit');
            $timeout(function(){backbutton=0;},5000);
        }else{
            navigator.app.exitApp();
        }  
      }
       else if ($state.current.name == "register" || $state.current.name =="ForgetPassword") {
           $ionicHistory.nextViewOptions({
                 disableBack: true
                });
        $state.go('home');
      }
      
     /* else if ($state.current.name == "updateProfile") {
           $ionicHistory.nextViewOptions({
                 disableBack: true
                });
        $state.go('app.profile');
      }
*/
      else{
            $ionicHistory.nextViewOptions({
                 disableBack: true
                });
        $state.go('app.booking');
        //go to home page
     }
        }, 100);//registerBackButton
}//backcallfun
return obj;
}])

.controller('contactCtrl',['$scope','$ionicPlatform','$ionicLoading','$ionicPopup','$ionicHistory','$http','$window',function($scope,$ionicPlatform,$ionicLoading,$ionicPopup,$ionicHistory,$http,$window){
   
    $scope.master = {};
 
   $ionicPlatform.ready(function () {
     
     $scope.sendFeedback=function(user){
    
     $scope.master = angular.copy(user);
 
      var obj= [{
              'token' : $window.localStorage.getItem("hello"),
              'email_feedback'  :user.email,
              'email_comment'   :user.comment
      }]; 

      var request = $http({
          method: "post",
          url: "http://nanotaxi.dmsinfosystem.com/index.php/home/feedback_mail_app",
          data: obj,
          headers : {'Content-Type':undefined,} 
      });

         $ionicLoading.show({
            template: '<ion-spinner icon="android"></ion-spinner>'
          });
       

          request.success(function(data, status, headers, config) {
             $ionicHistory.nextViewOptions({
                 disableBack: true
                });
       
             $ionicLoading.hide();
              if(data.status==1) {
                

                      $ionicPopup.alert({
                                  title: 'Alert',
                                  template: data.status_message
                      });
                      $window.location="#/app/booking";
              }

              else if (data.status==0){
                     $ionicPopup.alert({
                                  title: 'Alert',
                                  template: data.error_message
                      });
              }

              else {
                 $ionicLoading.hide();
                  $ionicPopup.alert({
                              title: 'Alert',
                              template: 'Please check your internet connection.'
                  });
                }
            });

          request.error(function(data, status, headers, config) {
             $ionicLoading.hide();
                console.log("error",data)
          });
                $scope.user={};
      }
 
     $scope.dialNumber = function(number) {
          window.open('tel:' + 9202092020, '_system');
        }
      });
  
}]);